nand_block_checkbad
Prev | Chapter 11. Internal Functions Provided | Next

## Name

nand_block_checkbad — [GENERIC] Check if a block is marked bad

## Synopsis

`int nand_block_checkbad (` | struct mtd_info * | mtd,
| loff_t | ofs,
| int | getchip,
| int | allowbbt`)`;

## Arguments

`mtd`

  MTD device structure

`ofs`

  offset from device start

`getchip`

  0, if the chip is already selected

`allowbbt`

  1, if its allowed to access the bbt area

## Description

Check, if the block is bad. Either by reading the bad block table or calling of the scan function.

Prev | Up | Next
nand_check_wp | Home | nand_command